
/*!
 * 将指定的table标签的内容保存为Excel表格
 */
function saveToExcel(tableid, fn){
	$("#"+tableid).table2excel({
		exclude: ".noExl",
		name: "Excel Document Name",
		filename: fn,
		fileext: ".xls",
		exclude_img: true,
		exclude_links: true,
		exclude_inputs: true
	});
}

/*!
 * 判断传感器状态并返回状态信息
 */
function parseState(istate){
    if(istate==0)
		return "正常";
    else if(istate==1)
		return "告警";
    else if(istate==2)
		return "故障";
    else
		return "无效";
}

/*!
 * 取得当时时间, difftime不为0时表示获取当前时间之前difftime秒的时间
 */
function getDateStr(difftime) {
    var date = new Date(new Date() - difftime);
    var seperator1 = "-";
    var seperator2 = ":";
    var year = date.getFullYear();
    var month = date.getMonth() + 1;
    var strDate = date.getDate();
	var hour = date.getHours();
	var min = date.getMinutes();
	var sec = date.getSeconds();
    if (month >= 1 && month <= 9) {
        month = "0" + month;
    }
    if (strDate >= 0 && strDate <= 9) {
        strDate = "0" + strDate;
    }
    if (hour >= 0 && hour <= 9) {
        hour = "0" + hour;
    }
    if (min >= 0 && min <= 9) {
        min = "0" + min;
    }
    if (sec >= 0 && sec <= 9) {
        sec = "0" + sec;
    }
    var currentdate = year + seperator1 + month + seperator1 + strDate + " " + hour + seperator2 + min + seperator2 + sec;
    return currentdate;
}
/**
 * 时间格式化
 */
function SimpleDateFormat(pattern){
	var fmt = new Object();
	fmt.pattern = pattern;
	
	fmt.parse = function(source){
		try{
			return new Date(source);
		}catch(e){
			console.log("字符串 "+source+" 转时间格式失败！");
			return null;
		}
	};
	
	fmt.format = function(date){
		if(typeof(date) == "undefined" || date == null || date==""){
			return "";
		}
		
		try{
			date = new Date(date);
		}catch(e){
			console.log("时间 "+date+" 格式化失败！");
			return "";
		}
		
		var strTime = this.pattern;//时间表达式的正则
		
	    var o = {
	            "M+": date.getMonth() + 1, //月份 
	            "d+": date.getDate(), //日 
	            "H+": date.getHours(), //小时 
	            "m+": date.getMinutes(), //分 
	            "s+": date.getSeconds(), //秒 
	            "q+": Math.floor((date.getMonth() + 3) / 3), //季度 
	            "S": date.getMilliseconds() //毫秒 
	        };
	    
	        if (/(y+)/.test(strTime)){
	        	strTime = strTime
	        		.replace(RegExp.$1, (date.getFullYear() + "")
	        		.substr(4 - RegExp.$1.length));
	        } 
	        for (var k in o){
	        	if (new RegExp("(" + k + ")").test(strTime)){
	        		strTime = strTime.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));	
	        	}
	        }
	        
	        return strTime;
	};
	return fmt;
};

